import React, { Component } from 'react';
interface ActionsSetterProps<Value = Record<string, any>, Options = Record<string, any>> {
    /** 行为key */
    name: string;
    /** 行为名字，显示在RadioGroup选项 */
    title: string;
    /** 选项渲染 */
    render?: (props: ActionsSetterProps<Value, Options>) => React.ReactNode;
    /** 值序列化为低代码协议的值 */
    toActionValue: (value: Value) => any;
}
export default class extends Component<ActionsSetterProps> {
    render(): JSX.Element;
}
export {};
